
TYPO3.Flow - Bug # 37193

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Object
Created: 2012-05-15 Assigned To: Karsten Dambekalns
Updated: 2012-06-01 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git 1.0
Subject: Nested array annotation options are not rendered in proxy classes
Description

Instead of

@\TYPO3\FLOW3\Annotations\Validate(type="bar1", options={ "foo"= { "bar" = "baz" } })

FLOW3 outputs

@\TYPO3\FLOW3\Annotations\Validate(type="bar1", options={ "foo"= })

Associated revisions
Revision 5a2cbd05 - 2012-05-21 15:20 - Karsten Dambekalns

[BUGFIX] Nested arrays in Annotation options are no longer dropped

When giving a nested array of options to an annotation the rendered
form in proxy classes was cut off.

Change-Id: I075b1b1e55c1ee80dd6dc5278170d80b8b4465a9
Fixes: #37193
Releases: 1.0, 1.1, 1.2

Revision 62053eb7 - 2012-05-31 16:56 - Karsten Dambekalns

[BUGFIX] Nested arrays in Annotation options are no longer dropped

When giving a nested array of options to an annotation the rendered
form in proxy classes was cut off.

Change-Id: I075b1b1e55c1ee80dd6dc5278170d80b8b4465a9
Fixes: #37193
Releases: 1.0, 1.1, 1.2

Revision 04c34861 - 2012-05-31 16:57 - Karsten Dambekalns

[BUGFIX] Nested arrays in Annotation options are no longer dropped

When giving a nested array of options to an annotation the rendered
form in proxy classes was cut off.

Change-Id: I075b1b1e55c1ee80dd6dc5278170d80b8b4465a9
Fixes: #37193
Releases: 1.0, 1.1, 1.2

History
#1 - 2012-05-15 16:51 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11222

#2 - 2012-05-21 15:20 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11222

#3 - 2012-05-31 13:58 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

#4 - 2012-05-31 16:56 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/11767

#5 - 2012-05-31 16:58 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/11768

#6 - 2012-06-01 11:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved

Applied in changeset commit:04c348617735fe345087c19a5dac55192240206d.
